CVE-2019-19783

NameCVE-2019-19783
DescriptionAn issue was discovered in Cyrus IMAP before 2.5.15, 3.0.x before 3.0.13, and 3.1.x through 3.1.8. If sieve script uploading is allowed (3.x) or certain non-default sieve options are enabled (2.x), a user with a mail account on the service can use a sieve script containing a fileinto directive to create any mailbox with administrator privileges, because of folder mishandling in autosieve_createfolder() in imap/lmtp_sieve.c.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-4590-1
NVD severitylow

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
cyrus-imapd (PTS)stretch2.5.10-3+deb9u1vulnerable
stretch (security)2.5.10-3+deb9u2fixed
buster3.0.8-6+deb10u1vulnerable
buster (security)3.0.8-6+deb10u3fixed
bullseye, sid3.0.13-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
cyrus-imapdsource(unstable)3.0.13-1
cyrus-imapdsourcebuster3.0.8-6+deb10u3DSA-4590-1
cyrus-imapdsourcestretch2.5.10-3+deb9u2DSA-4590-1

Notes

https://www.cyrusimap.org/imap/download/release-notes/3.0/x/3.0.13.html#security-fixes

Search for package or bug name: Reporting problems